summaryrefslogtreecommitdiff
path: root/scripts/update-and-validate.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/update-and-validate.sh')
-rwxr-xr-xscripts/update-and-validate.sh38
1 files changed, 0 insertions, 38 deletions
diff --git a/scripts/update-and-validate.sh b/scripts/update-and-validate.sh
deleted file mode 100755
index a4a1bddb..00000000
--- a/scripts/update-and-validate.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/sh
-# Used on metadata.swamid.se and metadata.lab.swamid.se
-
-update()
-{
-# echo "git pull"
- git pull -q || return $?
-
- # Remove old entitys from DB
- ls swamid-edugain/*.xml swamid-2.0/*.xml swamid-testing/*.xml | sed 's@swamid-.*/\(.*\).xml@.time/\1.validate@' | sort > /tmp/$$.xml
- ls .time/*.validate > /tmp/$$.time
- comm -13 /tmp/$$.xml /tmp/$$.time | while read file; do
- docker exec swamid-metadata-sp /var/www/scripts/removeEntity.bash /opt/metadata/$file
- done
- rm /tmp/$$.xml /tmp/$$.time
-
- # remove some flag-files to get DB refreshed
- if [ $(find .time/ -ctime +15 -type f | wc -l) -ne 0 ]; then
- rm `find .time/ -ctime +15 -type f | tail -10`
- fi
-
- # Update/Import "new" xml-files
- make -f Makefile.validate -s
-
- # check URL:s
- docker exec swamid-metadata-sp php /var/www/scripts/checkURLs.php
-
- # update TestResults from release-check -> DB
- docker exec swamid-metadata-sp php /var/www/scripts/updateTestResults.php
-
- # Cleanup Pending-queue
- docker exec swamid-metadata-sp php /var/www/scripts/cleanupPending.php
-}
-
-cd /opt/metadata || exit 1
-update
-# to be able to show non-swamid entities on web-page
-wget -qO swamid-2.0.xml https://mds.swamid.se/md/swamid-2.0.xml